%define upstream_name    Test-NoTabs
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check the presence of tabs in your project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of tabs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 373669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 267511
- update to 1.3

* Wed Jun 15 2011 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 107465
- update to 1.1

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 28812
- mageia rebuild
- imported package perl-Test-NoTabs

